Get Workspace Analytics
curl --request GET \
--url https://api.formbharo.artpark.ai/api/v1/workspaces/{workspace_id}/analyticsimport requests
url = "https://api.formbharo.artpark.ai/api/v1/workspaces/{workspace_id}/analytics"
response = requests.get(url)
print(response.text){
"agents": [
{
"agent_id": "<string>",
"agent_title": "<string>",
"stats": {
"ack_latency_sample_count": 123,
"ack_to_reply_sample_count": 123,
"attempted": 123,
"avg_ack_latency_ci95": 123,
"avg_ack_latency_secs": 123,
"avg_ack_to_reply_ci95": 123,
"avg_ack_to_reply_secs": 123,
"avg_duration_ci95": 123,
"avg_duration_secs": 123,
"completed": 123,
"completion_rate": 123,
"cost": {
"call_count": 123,
"llm": {
"per_call": 123,
"per_turn": 123
},
"stt": {
"per_call": 123,
"per_turn": 123
},
"total": {
"per_call": 123,
"per_turn": 123
},
"tts": {
"per_call": 123,
"per_turn": 123
}
},
"duration_sample_count": 123,
"screened_out": 123
}
}
],
"stats": {
"ack_latency_sample_count": 123,
"ack_to_reply_sample_count": 123,
"attempted": 123,
"avg_ack_latency_ci95": 123,
"avg_ack_latency_secs": 123,
"avg_ack_to_reply_ci95": 123,
"avg_ack_to_reply_secs": 123,
"avg_duration_ci95": 123,
"avg_duration_secs": 123,
"completed": 123,
"completion_rate": 123,
"cost": {
"call_count": 123,
"llm": {
"per_call": 123,
"per_turn": 123
},
"stt": {
"per_call": 123,
"per_turn": 123
},
"total": {
"per_call": 123,
"per_turn": 123
},
"tts": {
"per_call": 123,
"per_turn": 123
}
},
"duration_sample_count": 123,
"screened_out": 123
},
"workspace_id": "<string>",
"workspace_name": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Analytics
Get Workspace Analytics
The same numbers rolled up over a workspace, plus a per-agent breakdown.
GET
/
api
/
v1
/
workspaces
/
{workspace_id}
/
analytics
Get Workspace Analytics
curl --request GET \
--url https://api.formbharo.artpark.ai/api/v1/workspaces/{workspace_id}/analyticsimport requests
url = "https://api.formbharo.artpark.ai/api/v1/workspaces/{workspace_id}/analytics"
response = requests.get(url)
print(response.text){
"agents": [
{
"agent_id": "<string>",
"agent_title": "<string>",
"stats": {
"ack_latency_sample_count": 123,
"ack_to_reply_sample_count": 123,
"attempted": 123,
"avg_ack_latency_ci95": 123,
"avg_ack_latency_secs": 123,
"avg_ack_to_reply_ci95": 123,
"avg_ack_to_reply_secs": 123,
"avg_duration_ci95": 123,
"avg_duration_secs": 123,
"completed": 123,
"completion_rate": 123,
"cost": {
"call_count": 123,
"llm": {
"per_call": 123,
"per_turn": 123
},
"stt": {
"per_call": 123,
"per_turn": 123
},
"total": {
"per_call": 123,
"per_turn": 123
},
"tts": {
"per_call": 123,
"per_turn": 123
}
},
"duration_sample_count": 123,
"screened_out": 123
}
}
],
"stats": {
"ack_latency_sample_count": 123,
"ack_to_reply_sample_count": 123,
"attempted": 123,
"avg_ack_latency_ci95": 123,
"avg_ack_latency_secs": 123,
"avg_ack_to_reply_ci95": 123,
"avg_ack_to_reply_secs": 123,
"avg_duration_ci95": 123,
"avg_duration_secs": 123,
"completed": 123,
"completion_rate": 123,
"cost": {
"call_count": 123,
"llm": {
"per_call": 123,
"per_turn": 123
},
"stt": {
"per_call": 123,
"per_turn": 123
},
"total": {
"per_call": 123,
"per_turn": 123
},
"tts": {
"per_call": 123,
"per_turn": 123
}
},
"duration_sample_count": 123,
"screened_out": 123
},
"workspace_id": "<string>",
"workspace_name": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Path Parameters
Query Parameters
Available options:
complete, screened_out, failed, in_progress, not_connected Unix seconds; created_at >= since. Note: created_at is the last time the call's answers were written, not when the call happened, so a call edited later moves.
Unix seconds; created_at <= until. Note: created_at is the last time the call's answers were written, not when the call happened, so a call edited later moves.